{
  "name": "@apiclient.xyz/docker",
  "version": "1.2.5",
  "description": "Provides easy communication with Docker remote API from Node.js, with TypeScript support.",
  "private": false,
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "scripts": {
    "test": "(tstest test/ --web)",
    "build": "(tsbuild --web --allowimplicitany)",
    "buildDocs": "tsdoc"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/mojoio/docker.git"
  },
  "keywords": [
    "Docker",
    "API",
    "Node.js",
    "TypeScript",
    "Containers",
    "Images",
    "Networks",
    "Services",
    "Secrets"
  ],
  "author": "Lossless GmbH",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/mojoio/docker/issues"
  },
  "homepage": "https://gitlab.com/mojoio/docker#readme",
  "dependencies": {
    "@push.rocks/lik": "^6.0.15",
    "@push.rocks/smartarchive": "^4.0.37",
    "@push.rocks/smartbucket": "^3.0.22",
    "@push.rocks/smartfile": "^11.0.21",
    "@push.rocks/smartjson": "^5.0.20",
    "@push.rocks/smartlog": "^3.0.7",
    "@push.rocks/smartnetwork": "^3.0.0",
    "@push.rocks/smartpath": "^5.0.18",
    "@push.rocks/smartpromise": "^4.0.4",
    "@push.rocks/smartrequest": "^2.0.22",
    "@push.rocks/smartstream": "^3.0.46",
    "@push.rocks/smartstring": "^4.0.15",
    "@push.rocks/smartunique": "^3.0.9",
    "@push.rocks/smartversion": "^3.0.5",
    "@tsclass/tsclass": "^4.1.2",
    "rxjs": "^7.5.7"
  },
  "devDependencies": {
    "@git.zone/tsbuild": "^2.1.84",
    "@git.zone/tsrun": "^1.2.49",
    "@git.zone/tstest": "^1.0.90",
    "@push.rocks/qenv": "^6.0.5",
    "@push.rocks/tapbundle": "^5.3.0",
    "@types/node": "22.7.5"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ]
}
